"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-x86_64-cpython-312/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x7f0fd7deb9c0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x7f0fd7deba60>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7f0fd7debb00>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7f0fd7debba0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x7f0fd7debc40>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x7f0fd7debce0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7f0fd7debd80>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f0fd7debe20>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f0fd7debec0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f0fd7debf60>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x7f0fd5be8040>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x7f0fd5be80e0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x7f0fd5be8180>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x7f0fd5be8220>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x7f0fd5be82c0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x7f0fd5be8360>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x7f0fd5be8400>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x7f0fd5be84a0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x7f0fd5be8540>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x7f0fd5be85e0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x7f0fd5be8680>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x7f0fd5be8720>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x7f0fd5be87c0>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x7f0fd5be8860>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x7f0fd5be8900>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x7f0fd5be89a0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x7f0fd5be8a40>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x7f0fd5be8ae0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x7f0fd5be8b80>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x7f0fd5be8c20>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x7f0fd5be8cc0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x7f0fd5be8d60>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x7f0fd5be8e00>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x7f0fd5be8ea0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x7f0fd5be8f40>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x7f0fd5be8fe0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x7f0fd5be9080>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x7f0fd5be9120>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f0fd5be91c0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f0fd5be9260>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f0fd5be9300>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x7f0fd5be93a0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x7f0fd5be9440>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x7f0fd5be94e0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x7f0fd5be9580>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x7f0fd5be9620>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x7f0fd5be96c0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7f0fd5be9760>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7f0fd5be9800>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x7f0fd5be98a0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x7f0fd5be9940>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x7f0fd5be99e0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f0fd5be9a80>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x7f0fd5be9b20>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x7f0fd5be9bc0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f0fd5be9c60>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f0fd5be9d00>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7f0fd5be9da0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x7f0fd5be9e40>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x7f0fd5be9ee0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x7f0fd5be9f80>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x7f0fd5bea020>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x7f0fd5bea0c0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f0fd5bea160>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x7f0fd5bea200>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x7f0fd5bea2a0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x7f0fd5bea340>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x7f0fd5bea3e0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x7f0fd5bea480>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7f0fd5bea520>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x7f0fd5bea5c0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x7f0fd5bea660>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7f0fd5bea700>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x7f0fd5bea7a0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x7f0fd5bea840>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x7f0fd5bea8e0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x7f0fd5bea980>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x7f0fd5beaa20>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x7f0fd5beaac0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x7f0fd5beab60>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x7f0fd5beaca0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x7f0fd5beac00>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x7f0fd5bead40>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x7f0fd5beade0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x7f0fd5beae80>)]
name: str = 'fr_HOCCN'
